︠ca73fc42-2496-48f1-b5e3-521666b35868is︠
#Bard - Sage - Contour Plot Demo

html("<h2 style='color:blue'>Bard - Sage - Contour Plot Demo</h2>")

html("<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>")

html("<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li><li>You remove the labels the graph by clicking on No Labels.</li></ul>")

y = var('y');
@interact
def _(
    f = input_box(default = x^2 - y^2, label = "$f(x,y)$"),
    cont = input_box(default = [-1, 0, 1, 2], label = "Heights of contour curves"),
    xinterval=range_slider(-50, 50, 1, default = (-3, 3), label = "$x$-interval"),
    yinterval=range_slider(-50, 50, 1, default = (-3, 3), label = "$y$-interval"),
    nlabe = ("No Labels", False),
    ):
        x_min, x_max = map(QQ, xinterval);
        y_min, y_max = map(QQ, yinterval);

        if nlabe == False:
            plt = contour_plot(f, (x, x_min, x_max), (y, y_min, y_max), contours = cont, fill = False, labels = True, aspect_ratio = 1, cmap='hsv', figsize = 10)
        else:
            plt = contour_plot(f, (x, x_min, x_max), (y, y_min, y_max), contours = cont, fill = False, labels = False, aspect_ratio = 1, cmap='hsv', figsize = 10)

        #html(r'$$%s = %s$$'% (latex(f), latex(g)))
        html(r'''
        <div class="math">
        \begin{align*}
        f(x, y) &= %s
        \end{align*}
        </div>
        ''' % (latex(f)))
        show(plt)
︡a3e9f8ff-a703-4662-94cc-f32ebee5712b︡︡{"hide":"input"}︡{"html":"<h2 style='color:blue'>Bard - Sage - Contour Plot Demo</h2>","done":false}︡{"hide":"input"}︡{"html":"<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>","done":false}︡{"hide":"input"}︡{"html":"<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li><li>You remove the labels the graph by clicking on No Labels.</li></ul>","done":false}︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["cont",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["nlabe",12,null]],[["",12,null]]],"id":"bbf5f24a-d8a5-42e5-960c-2ee2323bec83","controls":[{"control_type":"input-box","default":"x^2 - y^2","label":"$f(x,y)$","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"input-box","default":"[-1, 0, 1, 2]","label":"Heights of contour curves","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"cont","type":null},{"control_type":"range-slider","default":[47,53],"var":"xinterval","width":null,"vals":["-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50"],"animate":true,"label":"$x$-interval","display_value":true},{"control_type":"range-slider","default":[47,53],"var":"yinterval","width":null,"vals":["-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50"],"animate":true,"label":"$y$-interval","display_value":true},{"default":false,"var":"nlabe","readonly":false,"control_type":"checkbox","label":"No Labels"}]},"done":false}︡{"done":true}
︠9cfb22c2-01d4-44cb-9da7-32b54c357171︠









