︠9843b108-b3b5-4790-b216-b985482ce807is︠
#Bard - Sage - Riemann Sums 3D Demo

html("<h2 style='color:blue'>Bard - Sage - Riemann Sums 3D Demo</h2>")

html("<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>")

html("<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li></ul>")

y, z = var('y, z');
@interact
def _(
    f = input_box(default = x^2 + y^2, label = "$f(x, y)$"),
    abinterval=range_slider(-10, 10, 1, default=(0, 2), label="$[a, b]$"),
    cdinterval=range_slider(-10, 10, 1, default=(0, 3), label="$[c, d]$"),
#    xinterval=range_slider(-10, 10, 1, default=(-1, 3), label="$x$-interval"),
#    yinterval=range_slider(-100, 100, 1, default=(-2, 10), label="$y$-interval"),
    n = slider(2, 100, 2, default=4, label="subintervals of $[a, b]$"),
    m = slider(2, 100, 2, default=4, label="subintervals of $[c, d]$"),
#    en = selector(['Upper Left', 'Lower Left', 'Midpoint', 'Lower Right', 'Upper Right'], nrows=1, label="Sum")
    ):
        a, b = map(QQ, abinterval)
        c, d = map(QQ, cdinterval)
#        x_min, x_max = map(QQ, xinterval)
#        y_min, y_max = map(QQ, yinterval)
        dx = (b - a)/n
        dy = (d - c)/m
        """
        apr = (x_max - x_min)/(y_max - y_min)
        if en == 'Left':
            z = [
                line(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1)*dx))],
                color = 'red', thickness=1
                ) for i in [1..n]
                ]
            w = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1)*dx)), (a + i*dx,f(a + (i-1)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.3, color = 'purple'
                ) for i in [1..n]
                ]
            u = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1)*dx)), (a + i*dx,f(a + (i-1)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.8, color = 'purple', fill = False
                ) for i in [1..n]
                ]
        elif en == 'Right':
            z = [line([(a + i*dx,0), (a + i*dx,f(a + i*dx))], color = 'red', thickness=1) for i in [1..n]]
            w = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + i*dx)), (a + i*dx,f(a + i*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.3, color = 'purple'
                ) for i in [1..n]
                ]
            u = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + i*dx)), (a + i*dx,f(a + i*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.8, color = 'purple', fill = False
                ) for i in [1..n]
                ]
        elif en == 'Midpoint':
            z = [line([(a + (i-1/2)*dx,0), (a + (i-1/2)*dx,f(a + (i-1/2)*dx))], color = 'red', thickness=1) for i in [1..n]]
            w = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1/2)*dx)), (a + i*dx,f(a + (i-1/2)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.3, color = 'purple'
                ) for i in [1..n]
                ]
            u = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1/2)*dx)), (a + i*dx,f(a + (i-1/2)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.8, color = 'purple', fill = False
                ) for i in [1..n]
                ]
        zz = sum(z)
        ww = sum(w)
        uu = sum(u)
        plf = plot(f, x_min, x_max, ymin = y_min, ymax = y_max)
        """


        gul = sum([f(x = a + (i-1)*dx, y = c + k*dy)*dx*dy for i in [1..n] for k in [1..m]]).n()
        gll = sum([f(x = a + (i-1)*dx, y = c + (k-1)*dy)*dx*dy for i in [1..n] for k in [1..m]]).n()

        gm = sum([f(x = a + (i-1/2)*dx, y = c + (k-1/2)*dy)*dx*dy for i in [1..n] for k in [1..m]]).n()

        glr = sum([f(x = a + i*dx, y = c + (k-1)*dy)*dx*dy for i in [1..n] for k in [1..m]]).n()
        gur = sum([f(x = a + i*dx, y = c + k*dy)*dx*dy for i in [1..n] for k in [1..m]]).n()

        html(r'''
        <div class="math">
        \begin{align*}
        f(x, y) &= %s \\\
        a = %s \qquad b &= %s \qquad n = %s\\\
        c = %s \qquad d &= %s \qquad m = %s\\\
        \text{Upper Left Sum} = %s \qquad\qquad\qquad\qquad\qquad\qquad &{} \qquad\qquad\qquad\qquad\qquad\qquad \text{Upper Right Sum} = %s\\\
        \text{Midpoint Sum} &= %s \\\
        \text{Lower Left Sum} = %s \qquad\qquad\qquad\qquad\qquad\qquad &{} \qquad\qquad\qquad\qquad\qquad\qquad \text{Lower Right Sum} = %s
        \end{align*}
        </div>
        ''' % (latex(f), a, b, n, c, d, m, gul, gur, gm, gll, glr))
#        show(plf + zz + ww + uu, aspect_ratio=apr, figsize=6)
︡6a40569a-473a-4565-a443-acf7e0a0f908︡︡{"hide":"input"}︡{"html":"<h2 style='color:blue'>Bard - Sage - Riemann Sums 3D Demo</h2>","done":false}︡{"hide":"input"}︡{"html":"<p>One of the following situations will occur when you start this worksheet:</p><ul><li><b>The graph or formulas are visible below the input boxes, sliders and check boxes</b>: proceed to use the worksheet.</li><li><b>The code is visible</b>: put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li><li><b>The code is not visible, and you see “(Evaluate this cell to use this interact)” instead of the graph or formulas</b>: double-click where that message is written to bring up the code, put the cursor in the code, and then click on Run (the green square with the triangle in the menu above), which will bring up the graph or formulas.</li>","done":false}︡{"hide":"input"}︡{"html":"<p>Using the worksheet:</p><ul><li>Once the graph or formulas are visible, manipulate the entries via the input boxes, sliders and check boxes.</li><li>When you change something in an input box, hit Return on your keyboard.</li></ul>","done":false}︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["abinterval",12,null]],[["cdinterval",12,null]],[["n",12,null]],[["m",12,null]],[["",12,null]]],"id":"7e8679fe-8d37-429f-b7de-9c89b4650fdd","controls":[{"control_type":"input-box","default":"x^2 + y^2","label":"$f(x, y)$","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"range-slider","default":[10,12],"var":"abinterval","width":null,"vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"animate":true,"label":"$[a, b]$","display_value":true},{"control_type":"range-slider","default":[10,13],"var":"cdinterval","width":null,"vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"animate":true,"label":"$[c, d]$","display_value":true},{"control_type":"slider","default":1,"var":"n","width":null,"vals":["2","4","6","8","10","12","14","16","18","20","22","24","26","28","30","32","34","36","38","40","42","44","46","48","50","52","54","56","58","60","62","64","66","68","70","72","74","76","78","80","82","84","86","88","90","92","94","96","98","100"],"animate":true,"label":"subintervals of $[a, b]$","display_value":true},{"control_type":"slider","default":1,"var":"m","width":null,"vals":["2","4","6","8","10","12","14","16","18","20","22","24","26","28","30","32","34","36","38","40","42","44","46","48","50","52","54","56","58","60","62","64","66","68","70","72","74","76","78","80","82","84","86","88","90","92","94","96","98","100"],"animate":true,"label":"subintervals of $[c, d]$","display_value":true}]},"done":false}︡{"done":true}
︠0b49094f-eb7e-4bef-81f2-25927908693as︠
︡82377395-a7cc-4a2d-bd28-178217b5945b︡︡{"done":true}
︠c217e218-75f6-4710-b22a-fc2fca618cd0︠









